Skip to navigation

List project collaborations

Beta
Returns information about collaborations on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequired
ID of project for which to retrieve collaborations.

Query parameters

userIdstringOptional
ID of user for which to retrieve collaborations.
appIdstringOptional
ID of app for which to retrieve collaborations.
teamIdstringOptional
ID of team for which to retrieve collaborations.
organizationIdstringOptional
ID of organization for which to retrieve collaborations.
roleenumOptional
Organization or team membership role for which to retrieve collaborations.
Allowed values:
idsstringOptional

Comma-separated list of collaboration ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

createdAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

modifiedAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified on or before the specified time. e.g. <= 2017-04-30.

modifiedAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified on or after the specified time. e.g. >= 2017-04-30.

pageSizeintegerOptional0-100Defaults to 50
Number of collaborations to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt

Method by which to order search results. Valid sort method is modifiedAt (modified time, most recent first). Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
collaborationslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error
404
Not Found Error